Bug 1314426 - Edit VM hotplug show redundant change list
Edit VM hotplug show redundant change list
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt (Show other bugs)
3.6.3.3
Unspecified Unspecified
medium Severity medium (vote)
: ovirt-3.6.6
: 3.6.6
Assigned To: Shmuel Melamud
sefi litmanovich
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 10:00 EST by Ilanit Stein
Modified: 2016-05-30 06:54 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-30 06:54:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
mgoldboi: planning_ack+
tjelinek: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
vM memory hotplug (83.90 KB, image/png)
2016-03-03 10:00 EST, Ilanit Stein
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 54474 master MERGED engine: Remove hotplugged memory & CPUs from changed fields list 2016-03-27 08:13 EDT
oVirt gerrit 55673 ovirt-engine-3.6 MERGED engine: Remove hotplugged memory & CPUs from changed fields list 2016-04-13 10:19 EDT

  None (edit)
Description Ilanit Stein 2016-03-03 10:00:46 EST
Created attachment 1132817 [details]
vM memory hotplug

Description of problem:
Edit VM -> Memory hot plug, press OK,
Open a windows with this content (screen shot attached):

Changes that can be applied immediately:
Memory
[] Apply later
Changes that require Virtual Machine restart:
memSizeMb

Having the memSizeMb listed under "Changes that require Virtual Machine restart:"
seem to be redundant

Same goes to VM cpu hotplug

Version-Release number of selected component (if applicable):
rhevm 3.6.3-5
Comment 1 Red Hat Bugzilla Rules Engine 2016-03-04 02:10:10 EST
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.
Comment 2 Michal Skrivanek 2016-04-01 08:10:51 EDT
not backported
plus we discussed a further code change with Arik regarding unplugs
Comment 3 sefi litmanovich 2016-05-08 05:40:09 EDT
Verified on rhevm-3.6.6.2-0.1.el6.noarch both memSizeMb and numOfSockets are not present in the list of fields to be changed on the next VM run when hot plugging memory and cpu respectively.

Note You need to log in before you can comment on or make changes to this bug.